
Foreman - Bug #2052

Single quotes in host search causes SQL error

12/17/2012 02:48 AM - Joseph Magen

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related to Bug #2045

when searching for hosts "class = 'nis::server'" (note the extra quotes) the host list is NOT filtered, since there is a Postgresql error

that is rescued and all records are returned.

PG::Error: ERROR:  syntax error at or near "nis"

LINE 1: ...s"."puppetclass_id" WHERE (puppetclasses.name = ''nis::serve...

History

#1 - 12/21/2014 10:24 AM - Tomer Brisker

- Description updated

- Status changed from New to Closed

Could not reproduce. Seems this is fixed by now. Reopen if bug still exists with more precise reproduction method.

#2 - 01/09/2015 05:06 AM - Dominic Cleal

- Status changed from Closed to Resolved
